Chuyển đến nội dung
Diễn đàn CADViet
ksor_phong

[Yêu cầu lisp] Công cụ so sánh, kiểm tra 2 bản vẽ bằng mắt thường

Các bài được khuyến nghị

Về các thứ này thì e thua hẳn các bác rồi, chỉ ngồi hóng thôi ạ ^^

Về thao tác với inactive document thì e chưa thử nhưng dump thì thấy cơ số đống method, properties :)

@ Bác Thái : :( chẳng hiểu các bạn trên CV quý e thế nào mà cứ kiện vì bị banned là lại nhè Inbox e ra mắng :(

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hic ! Em đến bao h mới thỏa mãn điều kiện để đc Free của bác Thai đây

Bác nào mà sau này quyết thương mại hóa ứng dụng này thì nhớ làm 1 cái About giới thiệu những người đã tham gia topic này và bỏ công viết và đóng góp ý tưởng , góp ý kiến cho đến khi hoàn thiện đi vô sử dụng nhá :D . Em còn 1 loạt các ý chưa nói ra , chỉ mong các bác viết nó thành sự thực để em còn bỏ tiền ra mua , nhớ sale off cho em nhé , 100% là đc rồi :D

 

Mừng cho khả năng nhân tài việt và buồn cho lĩnh vực mình đang lao vào ^^

Tại sao bác lại chỉ buồn mà ko nghĩ đến việc thương mại hóa lĩnh vực bác đang lao vào nhỉ , tiền cũng mang lại niềm vui cơ mà

 

Cá nhân em ủng hộ thương mại hóa các Lisp các chương trình thật sự có giá trị & hiếm gặp , những gì có tính đột phá , thay đổi vĩnh viễn nhiều cách làm cũ kém hiệu quả

Nếu bác Detailing quyết thương mại hóa cái bác đã viết và sẽ viết cho em trong mấy ngày tới trong phạm vi topic này thì em xin trả tiền bác trước để đc bác send vô mail của em bản chính thức thay vì trial , để em còn kiểm hàng thoải mái ko phải 10p tắt bật CAD nữa . Có như vậy thì em mới góp ý & đưa ra thêm ý tưởng rõ ràng hơn ===> bác sẽ viết đc cái em cần , 10 euro rẻ hơn antivirus chỉ dùng dc 1 năm , trong khi dùng suốt đời , tại sao ko nhỉ ? Nếu em yêu cầu nhiều ý tưỏng quá bác có thể tính tiền lại . Em biết bác làm ko phải vì tiền, bán đc cho em chứ chắc gì bán đc cho nhiều ng, Nhưng cứ cảm ơn bác suông để có đc cái mình cần em cũng thấy ngại mà sợ nhất là bác sẽ ko còn cùng chung cảm hứng để giúp em nữa

Có thể sẽ có nhiêu ng ở đây ném đá em là hâm khi nói vể tiền bản quyền trả cho ng viết khi mình yêu cầu trên 1 diễn đần toàn Free . Nhưng em muốn có đc cái em cần thật sự chất lượng cho công việc của em bằng con đường ngắn nhất , nếu bác nào hào phóng Free tiếp cho em thì em có ...phản đối đâu :D .

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hic ! Em đến bao h mới thỏa mãn điều kiện để đc Free của bác Thai đây

Bác nào mà sau này quyết thương mại hóa ứng dụng này thì nhớ làm 1 cái About giới thiệu những người đã tham gia topic này và bỏ công viết và đóng góp ý tưởng , góp ý kiến cho đến khi hoàn thiện đi vô sử dụng nhá :D . Em còn 1 loạt các ý chưa nói ra , chỉ mong các bác viết nó thành sự thực để em còn bỏ tiền ra mua , nhớ sale off cho em nhé , 100% là đc rồi :D

 

 

Tại sao bác lại chỉ buồn mà ko nghĩ đến việc thương mại hóa lĩnh vực bác đang lao vào nhỉ , tiền cũng mang lại niềm vui cơ mà

 

Cá nhân em ủng hộ thương mại hóa các Lisp các chương trình thật sự có giá trị & hiếm gặp , những gì có tính đột phá , thay đổi vĩnh viễn nhiều cách làm cũ kém hiệu quả

Nếu bác Detailing quyết thương mại hóa cái bác đã viết và sẽ viết cho em trong mấy ngày tới trong phạm vi topic này thì em xin trả tiền bác trước để đc bác send vô mail của em bản chính thức thay vì trial , để em còn kiểm hàng thoải mái ko phải 10p tắt bật CAD nữa . Có như vậy thì em mới góp ý & đưa ra thêm ý tưởng rõ ràng hơn ===> bác sẽ viết đc cái em cần , 10 euro rẻ hơn antivirus chỉ dùng dc 1 năm , trong khi dùng suốt đời , tại sao ko nhỉ ? Nếu em yêu cầu nhiều ý tưỏng quá bác có thể tính tiền lại . Em biết bác làm ko phải vì tiền, bán đc cho em chứ chắc gì bán đc cho nhiều ng, Nhưng cứ cảm ơn bác suông để có đc cái mình cần em cũng thấy ngại mà sợ nhất là bác sẽ ko còn cùng chung cảm hứng để giúp em nữa

Có thể sẽ có nhiêu ng ở đây ném đá em là hâm khi nói vể tiền bản quyền trả cho ng viết khi mình yêu cầu trên 1 diễn đần toàn Free . Nhưng em muốn có đc cái em cần thật sự chất lượng cho công việc của em bằng con đường ngắn nhất , nếu bác nào hào phóng Free tiếp cho em thì em có ...phản đối đâu :D .

Thanks bạn, thực sự thì mình cũng đã nhận và làm vài cái theo ý tưởng của mọi người rồi nên việc làm theo ý tưởng của bạn cũng ko có gì miễn là mình có thể làm dc.

Mình cũng có ý tặng bạn 1 bản ko trial để test cho đã tay nhưng sợ bạn test ra nhiều lỗi quá sửa ko kịp :D. Bạn dùng lệnh SYNCCODE rồi pm cho mình nha, sale off 100% cho bạn 1 bản đầu tiên :D

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

- SYNCVIEWPORT ko chạy với Win 64 bác ơi 32 thì máy cty em chạy ngon rồi => cái này mình làm trên máy 64 bits mà sao ko chạy dc ta??? kỳ vậy

Về nhà em Load nhầm cái File đã down cũ , sory

- Khi dang chạy SYNCVIEWPORT - Relative Sync mà bấm sang Viewport khác để chọn Viewport master khác thì tự động chuyển về chế độ SYNCVIEWPORT - Absolute Sync , cái này dở , ko nên 1 chút nào => cái này để mình kiểm lại xem sao

Em phát hiện đúng điểm dỏ đó ko nhầm đâu , vừa test lai xong

Bác nghĩ về đề xuất mua bản quyền trả tiền trước của em như em đã viết đi ở post trước đi , Nếu bán thì cho em số tài khoản , Hòm thư của em : ktsngtuanduong@gmail.com hoặc max3dmagic@yahoo.com . Send vô liên tục các bản dùng hẳn edit sắp tới cho em em còn có cái ngồi test thử mấy cái em dang nghiên cứu và đang cần bác giúp , chứ trial mà chưa hoàn chỉnh thế này bực lắm . Nếu nói đến tiền mà làm bác phật ý thì bỏ qua cho nhé

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thanks bạn, thực sự thì mình cũng đã nhận và làm vài cái theo ý tưởng của mọi người rồi nên việc làm theo ý tưởng của bạn cũng ko có gì miễn là mình có thể làm dc.

Mình cũng có ý tặng bạn 1 bản ko trial để test cho đã tay nhưng sợ bạn test ra nhiều lỗi quá sửa ko kịp :D. Bạn dùng lệnh SYNCCODE rồi pm cho mình nha, sale off 100% cho bạn 1 bản đầu tiên :D

 

Đang sốt ruột muốn có ngay nên mải viết cái post trên thì bác đã Free cho em rồi , em bấm vô Like thay 10 euro vậy :D

SYNCCODE : cho em AMSU2345 , máy ỏ nhà , máy cty BB220918

Bác chuẩn bị tinh thần cùng làm hộ em... 1 điều khác thường nhưng rất thực tế đi :D , Sẽ có 1 phần trình bày cặn kẽ ý tưởng hơi kỳ quặc của em , mấy đứa ở cty bảo em nghĩ nhiều dở hơi :D . Nhưng có lẽ bác sẽ giúp em biết ai dở hơi :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thao tác với bản vẽ không hiện hành qua collection drawing thì chưa chắc dc đâu Ket ơi, Ket có thấy khi chạy nó hay chớp các cửa sổ liên tục ko? Do AutoCAD ko cho chạy Multithread nên muốn thao tác trên bản vẽ nào thì phải active nó lên mới send data vô được.

Mình không rõ Detailing đang nói về ngôn ngữ khác hay về lisp. nhưng nếu đang nói về lisp thì nhận định này sai rồi. từ bản vẽ hiện hành ta có thể can thiệp vào các bản vẽ khác đang mở mà hoàn toàn ko cần active nó. Trong code mình gửi cho bạn mình cũng thực hiện việc này thông qua đoạn code:

(vlax-for dwg (vla-get-documents (vlax-get-acad-object)) (vla-setvariable dwg "users1" ""))

 

Mặt khác, khi xem xét cấu trúc của 1 vla-object thì mình nhận thấy rằng bản thân nó đã quy định cho đối tượng thuộc document (file bản vẽ) nào. bạn có thể lấy ra document đang lưu giữ 1 đối tượng bằng hàm (vla-get-document vla-object). Việc chỉnh sửa 1 đối tượng thuộc bản vẽ không hiện hành thực hiện hoàn toàn bình thường y hệt như bạn thao tác trên bản vẽ hiện hành.

 

Có nhiều ý kiến cho rằng cad chỉ làm việc với active document. nhưng mình nghĩ là không fải như vậy. Bởi đối tượng vla gốc là chính chương trình cad đang mở cơ mà (vlax-get-acad-object)

 

Lisp thì là vậy. vba chắc chắn cũng tương tự. .Net thì mình chưa biết

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Anh phát hiện ra một điều là sau khi khởi động lần 2 công cụ của Tú thì lệnh zoom và pan bình thường, 1 lần ăn ngay (ko phải zoom, pan 2 lần mới tính 1 nữa), rất mượt mà, nhẹ nhàng.

Khi nào Tú vá víu gì thêm thì cho anh 1 bản nhé, anh thấy bản mới của em cơ bản là ổn rồi (anh đang dùng nó để làm việc), với nhu cầu của anh thì ko cần quá cầu kỳ, giờ làm sao cho nó auto chia đôi màn hình ra cho mình đỡ phải kéo tay, cố định luôn 1 bên thao tác, 1 bên tham chiếu và nếu có bổ xung được việc bật, tắt một con trỏ nhỏ (chỉ là dạng point) bên cửa sổ tham chiếu để khi mình rê chuột (chưa kích) bên này thì bên kia cũng rê theo thì càng dễ theo dõi, mục đích chính của công cụ này là theo dõi mà.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình không rõ Detailing đang nói về ngôn ngữ khác hay về lisp. nhưng nếu đang nói về lisp thì nhận định này sai rồi. từ bản vẽ hiện hành ta có thể can thiệp vào các bản vẽ khác đang mở mà hoàn toàn ko cần active nó. Trong code mình gửi cho bạn mình cũng thực hiện việc này thông qua đoạn code:

(vlax-for dwg (vla-get-documents (vlax-get-acad-object)) (vla-setvariable dwg "users1" ""))

 

Mặt khác, khi xem xét cấu trúc của 1 vla-object thì mình nhận thấy rằng bản thân nó đã quy định cho đối tượng thuộc document (file bản vẽ) nào. bạn có thể lấy ra document đang lưu giữ 1 đối tượng bằng hàm (vla-get-document vla-object). Việc chỉnh sửa 1 đối tượng thuộc bản vẽ không hiện hành thực hiện hoàn toàn bình thường y hệt như bạn thao tác trên bản vẽ hiện hành.

 

Có nhiều ý kiến cho rằng cad chỉ làm việc với active document. nhưng mình nghĩ là không fải như vậy. Bởi đối tượng vla gốc là chính chương trình cad đang mở cơ mà (vlax-get-acad-object)

 

Lisp thì là vậy. vba chắc chắn cũng tương tự. .Net thì mình chưa biết

Phải công nhận Ket nói đúng, bác Thaistreet là pro về reactor mà em từng biết. Trở lại câu hỏi của bác thì em chắc rằng .NET ko thể thao tác với inactive document, VBA thì e ko rõ vì chưa thử bao giờ nhưng thây toàn phải dùng ThisDrawing.... nên chắc cũng vậy.

Không biết lisp có vẽ trên bản vẽ inactive vài đối tượng dc ko? nếu rảnh bác giúp em làm cái này thử để em học hỏi thôi :D

thanks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không biết lisp có vẽ trên bản vẽ inactive vài đối tượng dc ko? nếu rảnh bác giúp em làm cái này thử để em học hỏi thôi :D

Ví dụ em vẽ đoạnthẳng vào 1 file mới (chưa active)

(vla-AddLine
(vla-get-modelspace (vla-add (vla-get-documents (vlax-get-acad-object))))
(vlax-3d-point '(0 0 0))
(vlax-3d-point '(1 1 0))
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Phải công nhận Ket nói đúng, bác Thaistreet là pro về reactor mà em từng biết. Trở lại câu hỏi của bác thì em chắc rằng .NET ko thể thao tác với inactive document, VBA thì e ko rõ vì chưa thử bao giờ nhưng thây toàn phải dùng ThisDrawing.... nên chắc cũng vậy. Không biết lisp có vẽ trên bản vẽ inactive vài đối tượng dc ko? nếu rảnh bác giúp em làm cái này thử để em học hỏi thôi :D thanks!

Với method zoom thì document phải active mới được còn các method khác hoàn toàn có thể làm việc mà không cần active. Ví dụ mình có thể create object, setvariable ....

Nếu là VBA thì câu lệnh như sau: application.documents.item(ID).method

Trong đó ID là thứ tự của document

P/S: Trong VBA dùng Thisdrawing chính là application.activedocument

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

SYNCCODE : cho em AMSU2345 , máy ỏ nhà , máy cty BB220918

Mình tặng bạn 1 bản dùng ở nhà trong inbox nhé, cái ở công ty bạn thì nói công ty ủng hộ mình vài bản nếu thấy cần nhe. Bạn chú ý load 1 lần đầu tiên thôi nhé, những lần sau nó sẽ tự load, khi nào ko cần tự load nữa thì dùng lệnh UnRegSyncView để gở ra

Thanks!

 

ps: Update link

Update thêm cái thanh chỉ trạng thái và master drawing, nó luôn nằm trên master drawing. cứ click vào cái nào click dc :D để thấy nó có thể làm dc gì

Fix lỗi trong lệnh SyncViewport

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Mình tặng bạn 1 bản dùng ở nhà trong inbox nhé, cái ở công ty bạn thì nói công ty ủng hộ mình vài bản nếu thấy cần nhe. Bạn chú ý load 1 lần đầu tiên thôi nhé, những lần sau nó sẽ tự load, khi nào ko cần tự load nữa thì dùng lệnh UnRegSyncView để gở ra Thanks! ps: Update link Update thêm cái thanh chỉ trạng thái và master drawing, nó luôn nằm trên master drawing. cứ click vào cái nào click dc :D để thấy nó có thể làm dc gì Fix lỗi trong lệnh SyncViewport

Ơ cái của Bác có sẵn khóa trong chương trình à. Phải tìm cách crack mới được. Tại lười cài cad 2012 để test

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ơ cái của Bác có sẵn khóa trong chương trình à. Phải tìm cách crack mới được. Tại lười cài cad 2012 để test

hehe, tính like bác 1 phát nhưng hết quota rồi, cái lock của em nó chỉ compare string thôi. bác cứ thử xem sao, Nhớ gửi lại cho em 1 bản sau khi đã XXX để em khoá kiểu khác 2 ta cùng luyện skill nhe :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình không rõ Detailing đang nói về ngôn ngữ khác hay về lisp. nhưng nếu đang nói về lisp thì nhận định này sai rồi. từ bản vẽ hiện hành ta có thể can thiệp vào các bản vẽ khác đang mở mà hoàn toàn ko cần active nó. Trong code mình gửi cho bạn mình cũng thực hiện việc này thông qua đoạn code:

(vlax-for dwg (vla-get-documents (vlax-get-acad-object)) (vla-setvariable dwg "users1" ""))

 

Mặt khác, khi xem xét cấu trúc của 1 vla-object thì mình nhận thấy rằng bản thân nó đã quy định cho đối tượng thuộc document (file bản vẽ) nào. bạn có thể lấy ra document đang lưu giữ 1 đối tượng bằng hàm (vla-get-document vla-object). Việc chỉnh sửa 1 đối tượng thuộc bản vẽ không hiện hành thực hiện hoàn toàn bình thường y hệt như bạn thao tác trên bản vẽ hiện hành.

 

Có nhiều ý kiến cho rằng cad chỉ làm việc với active document. nhưng mình nghĩ là không fải như vậy. Bởi đối tượng vla gốc là chính chương trình cad đang mở cơ mà (vlax-get-acad-object)

 

Lisp thì là vậy. vba chắc chắn cũng tương tự. .Net thì mình chưa biết

Trong arx cũng có cái này, nó ở ví dụ mẫu : ...ObjectARX 2010\samples\database\testdb_dg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ví dụ em vẽ đoạnthẳng vào 1 file mới (chưa active)

(vla-AddLine
(vla-get-modelspace (vla-add (vla-get-documents (vlax-get-acad-object))))
(vlax-3d-point '(0 0 0))
(vlax-3d-point '(1 1 0))
)

cái này Ket tạo drawing mới, tuy doc chưa hiện ra nhưng nó đã active trong bộ nhớ rồi. Còn theo ý tưởng của vlr-set-notification thì nó hoạt động được với các inactive document and (database) luôn

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Vậy thì ket k hiểu ý active của bác rồi ^^

Ket hiểu đơn giản là :

(vla-AddLine
(vla-get-modelspace (setq nd (vla-add (vla-get-documents (vlax-get-acad-object)))))
(vlax-3d-point '(0 0 0))
(vlax-3d-point '(1 1 0))
)
(setq act (vla-get-activedocument (vlax-get-acad-object)))
;act # nd

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Vậy thì ket k hiểu ý active của bác rồi ^^

Ket mở 2 bản vẽ new, run lệnh ở bản vẽ này mà bản vẽ kia add thêm 1 line là OK, run lần nữa add thêm 1 line nữa (ko tạo ra drawing mới)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cái này Ket tạo drawing mới, tuy doc chưa hiện ra nhưng nó đã active trong bộ nhớ rồi. Còn theo ý tưởng của vlr-set-notification thì nó hoạt động được với các inactive document and (database) luôn

Detailing hiểu rất sâu về bản chất, đồng thời bạn cũng rất tinh ý. Nhận xét trên của bạn thực sự có giá trị với mình.

 

Mới đầu khi sử dụng (vlr-set-notification reactor 'all_documents) thì mình cứ ngỡ hàm này sẽ "copy" rector từ document hiện hành sang toàn bộ các bản vẽ đang mở còn lại. Chính vì thế để gỡ reactor ra khỏi các bản vẽ đó mình lại dùng (vlr-set-notification reactor 'active-document-only) rồi từ bản vẽ hiện hành mới gỡ nốt phần còn lại (vlr-remove reactor)

 

Từ nhận xét trên của bạn, mình dò ngược lại thì phát hiện ra sai lầm này. các bản vẽ inactive document không hề tồn tại reactor sau khi chạy (vlr-set-notification reactor 'all_documents) từ bản vẽ active document. hàm trên điều khiển các sự kiện của các bản vẽ inactive document từ chính bản vẽ active document luôn. Thật không ngờ! và như vậy hàm (vlr-set-notification reactor 'active-document-only) là thừa. đồng thời cũng cần cải tạo lại code thêm 1 chút nữa để tận dụng được sức mạnh của hàm này

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ket mở 2 bản vẽ new, run lệnh ở bản vẽ này mà bản vẽ kia add thêm 1 line là OK, run lần nữa add thêm 1 line nữa (ko tạo ra drawing mới)

Thế này fải không?

(vlax-for dwg (vla-get-documents (vlax-get-acad-object))

(vlax-invoke-method (vla-get-modelspace dwg) 'addline (vlax-3d-point '(0 0 0)) (vlax-3d-point '(1 1 0))))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Mình tặng bạn 1 bản dùng ở nhà trong inbox nhé, cái ở công ty bạn thì nói công ty ủng hộ mình vài bản nếu thấy cần nhe. Bạn chú ý load 1 lần đầu tiên thôi nhé, những lần sau nó sẽ tự load, khi nào ko cần tự load nữa thì dùng lệnh UnRegSyncView để gở ra Thanks! ps: Update link Update thêm cái thanh chỉ trạng thái và master drawing, nó luôn nằm trên master drawing. cứ click vào cái nào click dc :D để thấy nó có thể làm dc gì Fix lỗi trong lệnh SyncViewport

 

Em sẽ là khách hàng thứ 1 mua chương trình này của Detailing Group , là chính em chứ ko phải cty em , đợi đến được bao h , tán sếp đến bao h mới mua cho , mấy thằng sếp Hàn Quốc vắt cổ chày ra nước , viết giấy xin mua cái màn hình mới thay cái đang có vấn đề còn đợi nửa năm sau mới đc toại nguyện. Bọn đấy nó đâu cần biết em làm = công cụ gì . miễn là làm đúng tiến độ chuẩn chuyên môn ít phải sửa là ok. Nó sang Viêt Nam 1 trong những cái nó sướng nhất là dân VN giỏi PC lại dùng hàng chùa nên nó đỡ tốn tiền bản quyền , h bác bảo em tán nó mua cho em dùng ư , em đâu có dại :D

Bác nhớ ghi rõ vào phần quảng cáo bàn hàng nhé : là chính em NTD 1 ng Viêt Nam là ng đầu tiên mua chứ ko phải cty em :D

Bỏ ra 250k để khác người nào :D . Mà em vô http://vnstructurede...ress.com/281-2/ , chẳng biết làm sao liên hệ để gủi tiền đặt hàng ? ko tài khoản , ko đia chỉ , ko ai đại diện , ko bảo hành , ko 1 dấu hiệu sẽ up bản vá lỗi , ko dich vụ bảo trì tư vần nếu như em 2 tháng nữa muốn đi khỏi cty thì sẽ mang cái chương trình đó đi bằng cách nào , tài sản em mua rồi để lại cho ng khác dùng sao ? Em mua để dùng đến khi về hưu mang theo cho thằng con trai cơ mà :D. Bác nên xem lại vấn đề dich vụ , em nói nghiêm túc đó

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thế này fải không?

(vlax-for dwg (vla-get-documents (vlax-get-acad-object))

(vlax-invoke-method (vla-get-modelspace dwg) 'addline (vlax-3d-point '(0 0 0)) (vlax-3d-point '(1 1 0))))

Chính xác là hàm này. chỉ có điều nó vẽ luôn cả vào current document :D

p/s: Bạn nào test dùm xem CAD 2010 64 bits hàm (vlax-get-acad-object) có work ko nhe - đã load (vl-load-com) rồi

Thanks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Em sẽ là khách hàng thứ 1 mua chương trình này của Detailing Group , là chính em chứ ko phải cty em , đợi đến được bao h , tán sếp đến bao h mới mua cho , mấy thằng sếp Hàn Quốc vắt cổ chày ra nước , viết giấy xin mua cái màn hình mới thay cái đang có vấn đề còn đợi nửa năm sau mới đc toại nguyện. Bọn đấy nó đâu cần biết em làm = công cu gì . miễn là làm đúng tiến độ chuẩn chuyên môn ít phải sửa là ok. Nó sang Viêt Nam 1 trong những cái nó sướng nhất là dân VN giỏi PC lại dùng hàng chùa nên nó đỡ tốn tiền bản quyền , h bác bảo em tán nó mua cho em dùng ư , em đâu có dại :D

Bác nhớ ghi rõ vào phần quảng cáo bàn hàng nhé : là chính em NTD 1 ng Viêt Nam là ng đầu tiên mua chứ ko phải cty em :D

Bỏ ra 250k để khác người nào :D . Mà em vô http://vnstructurede...ress.com/281-2/ , chẳng biết làm sao liên hệ để gủi tiền đặt hàng ? ko tài khoản , ko đia chỉ , ko ai đại diện , ko bảo hành , ko 1 dấu hiệu sẽ up bản vá lỗi , ko dich vụ bảo trì tư vần nếu như em 2 tháng nữa muốn đi khỏi cty thì sẽ mang cái chương trình đó đi bằng cách nào , tài sản em mua rồi để lại cho ng khác dùng sao ? Em mua để dùng đến khi về hưu mang theo cho thằng con trai cơ mà :D. Bác nên xem lại vấn đề dich vụ , em nói nghiêm túc đó

hehe, như em đã nói, em ko chuyên bán, cái chú ý chỉ là chú ý thôi vì biết đâu 1 ngày đẹp trời nào đó em bỏ nghề thì các bạn lại nói em lừa gạt này nọ. Quan trọng là cái tâm thôi bạn cái chữ để xem cho yên tâm ng mua thôi :D (bảo đảm mà ko làm thì ng mua ko vui - ko bảo đảm mà làm thì họ lại vui :D)

Vả lại bạn nào thấy cái nào đáp ứng nhu cầu thì mua, chưa đáp ứng dc thì đợi khi nào thấy dc thì mua chứ đâu ai mua rồi đợi update :D

sống thì: PHẢI, THẬT, NHẪN, TÂM . Đừng bỏ mấy dấu phẩy nhé :D

p/s: nếu bạn nào muốn mua sẽ thấy chữ About us để liên hệ :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chính xác là hàm này. chỉ có điều nó vẽ luôn cả vào current document :D

Vậy thì thêm cái này để kiểm tra điều kiện. (= (vla-get-active dwg) :vlax-false)

Nói chung là chỉ cần lấy ra đúng document mình muốn. sau đó có thể thao tác với nó bình thường từ active document. tất nhiên có thể có những công việc chỉ áp dụng với active document, đành rút kinh nghiệm từ từ thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×